## fqterm 0.9.3+svn666

=== src/CMakeLists.txt ===
add_subdirectory(common)

add_subdirectory(protocol)

add_subdirectory(ui)

add_subdirectory(terminal)

add_subdirectory(utilities)

add_subdirectory(fqterm)
