=== src/protocol/CMakeLists.txt ===
set(export_SRCS
  fqterm_socket.cpp
  fqterm_socket.h
  fqterm_ssh_socket.h
  fqterm_ssh_socket.cpp
  fqterm_mini_server.h
  fqterm_mini_server.cpp
)

set(internal_SRCS
  internal/crc32.h
  internal/fqterm_serialization.h
  internal/fqterm_ssh_auth.h
  internal/fqterm_ssh_buffer.h
  internal/fqterm_ssh_cipher.h
  internal/fqterm_ssh_const.h
  internal/fqterm_ssh_des.h
  internal/fqterm_ssh_hash.h
  internal/fqterm_ssh_kex.h
  internal/fqterm_ssh2_kex.h
  internal/fqterm_ssh_mac.h
  internal/fqterm_ssh_md5.h
  internal/fqterm_ssh_packet.h
  internal/fqterm_ssh1_packet.h
  internal/fqterm_ssh2_packet.h
  internal/fqterm_ssh_rsa.h
  internal/fqterm_ssh_channel.h
  internal/fqterm_ssh_types.h
  internal/fqterm_ssh_pubkey.h
  internal/crc32.cpp
  internal/fqterm_ssh_auth.cpp
  internal/fqterm_ssh_buffer.cpp
  internal/fqterm_ssh_des.cpp
  internal/fqterm_ssh_kex.cpp
  internal/fqterm_ssh2_kex.cpp
  internal/fqterm_ssh_mac.cpp
  internal/fqterm_ssh_md5.cpp
  internal/fqterm_ssh_packet.cpp
  internal/fqterm_ssh1_packet.cpp
  internal/fqterm_ssh2_packet.cpp
  internal/fqterm_ssh_rsa.cpp
  internal/fqterm_ssh_channel.cpp
)

qt4_automoc(
  ${export_SRCS}
  ${internal_SRCS}
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_protocol
  ${export_SRCS}
  ${internal_SRCS}
)

add_dependencies(fqterm_protocol
  fqterm_common
)
