## fqterm 0.9.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(fqterm)
 
-set(FQTERM_VERSION "0.9.4")
+set(FQTERM_VERSION "0.9.6")
 
 cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )
 
@@ -14,23 +14,39 @@
 
 set(CMAKE_COLOR_MAKEFILE ON)
 
-find_package(Qt4 REQUIRED)
+find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript REQUIRED)
+IF(APPLE)
+ELSE(APPLE)
 include(${QT_USE_FILE})
+ENDIF(APPLE)
 
 qt4_add_translation(fqterm_qm_files
   ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
   ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
   ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
+  ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
 )
 
 add_custom_target(fqterm_qm_target
   DEPENDS ${fqterm_qm_files}
 )
+FIND_PACKAGE(PythonLibs) 
+if (PYTHONLIBS_FOUND)
+  SET(PYTHON_LIB ${PYTHON_LIBRARIES}) 
+  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH}) 
+  ADD_DEFINITIONS(-DHAVE_PYTHON)
+else (PYTHONLIBS_FOUND)
+  SET(PYTHON_LIB)
+endif (PYTHONLIBS_FOUND)
 
 IF(WIN32)
   FILE(READ ${QT_LIBRARY_DIR}/QtCore.prl FQ_CORE_QT_CONFIG)
 ELSE(WIN32)
-  FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  IF(APPLE)
+    FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  ELSE(APPLE)
+    FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  ENDIF(APPLE)
 ENDIF(WIN32)
 
 IF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
@@ -59,8 +75,14 @@
   ENDIF(APPLE)
 ENDIF(WIN32)
 
+IF(CMAKE_SYSTEM_NAME MATCHES "GNU")
+  SET(SUB_CMAKELIST "CMakeLists.txt.linux")
+ENDIF(CMAKE_SYSTEM_NAME MATCHES "GNU")
+
 IF(SUB_CMAKELIST MATCHES "UNKNOWN")
   MESSAGE(FATAL_ERROR "Unsupported system type detected!")
 ELSE(SUB_CMAKELIST MATCHES "UNKNOWN")
   INCLUDE("${SUB_CMAKELIST}")
 ENDIF(SUB_CMAKELIST MATCHES "UNKNOWN")
+
+
