=== src/fqterm/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
   fqterm_screen.cpp
   fqterm_window.cpp
   fqterm_wndmgr.cpp
+  fqterm_python.h
+  fqterm_python.cpp
+  fqterm_scriptengine.h
+  fqterm_scriptengine.cpp
 )
 
 qt4_automoc(${fqterm_SRCS})
@@ -28,6 +32,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
   ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
   ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
+  ${CMAKE_CURRENT_SOURCE_DIR}/../unite
   ${CMAKE_CURRENT_SOURCE_DIR}/../ui
   ${CMAKE_CURRENT_BINARY_DIR}/../ui
   ${CMAKE_CURRENT_BINARY_DIR}
@@ -43,4 +48,5 @@
   fqterm_protocol
   fqterm_ui
   fqterm_utilities
+  fqterm_unite
 )
