=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -39,12 +39,16 @@
   fqterm_tool_button.cpp
   imageviewer.h
   imageviewer.cpp
+  shortcutdialog.h
+  shortcutdialog.cpp
   statusBar.h
   statusBar.cpp
   fqterm_canvas.h
   fqterm_canvas.cpp
   sitemanager.h
   sitemanager.cpp
+  iplookup.h
+  iplookup.cpp
 )
 
 set(fqterm_ui_gen_HS
@@ -60,6 +64,7 @@
   ui_soundconf.h
   ui_sshlogin.h
   ui_zmodemdialog.h
+  ui_iplookup.h
 )
 
 set(fqterm_ui_UIS
@@ -75,6 +80,7 @@
   soundconf.ui
   sshlogin.ui
   zmodemdialog.ui
+  iplookup.ui
 )
 
 qt4_wrap_ui(fqterm_ui_UIS_H
@@ -97,6 +103,7 @@
   ${QT_QTCORE_INCLUDE_DIR}
   ${QT_QTGUI_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../common
+  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
   ${CMAKE_CURRENT_BINARY_DIR}
 )
 
@@ -107,4 +114,5 @@
 
 add_dependencies(fqterm_ui
   fqterm_common
+  fqterm_utilities
 )
