=== debian/changelog ===
fqterm (0.9.6.8-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.4.

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 22:22:34 +0800

fqterm (0.9.6.3-1) unstable; urgency=low

  * new upstream version.
    - debian/patches/Hurd.diff: removed.
    - debian/patches/binutils-gold.diff: removed.

 -- LI Daobing <lidaobing@debian.org>  Wed, 25 Nov 2009 19:12:06 +0800

fqterm (0.9.5.2-1) unstable; urgency=low

  * new upstream version.
  * Convert package to dpkg source format 3.0 (quilt) 
  * debian/patches/Hurd.diff: added, fix FTBFS in Hurd (Closes: #532368)
  * debian/patches/binutils-gold.diff: fix FTBFS with binutils-gold
    (Closes: #554409)
  * remove deprecated files:
    - debian/patches/00list: delete.
    - debian/patches/cmake.dpatch: delete.

 -- LI Daobing <lidaobing@debian.org>  Wed, 11 Nov 2009 20:31:55 +0800

fqterm (0.9.4.4-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: updated. 
  * debian/control: bump standards version to 3.8.3.

 -- LI Daobing <lidaobing@debian.org>  Thu, 24 Sep 2009 19:49:04 +0800

fqterm (0.9.3+svn666-1ubuntu1) karmic; urgency=low

  * debian/watch: added. 

 -- LI Daobing <lidaobing@debian.org>  Tue, 09 Jun 2009 22:04:51 +0800

fqterm (0.9.3+svn666-1) unstable; urgency=low

  * Initial upload to Debian (closes: #479367)
  * new upstream snapshot.
  * add menu support:
    - debian/menu: added.
    - debian/fqterm.xpm: added, generated from res/pic/fqterm_128x128.png
    - debian/fqterm.install: added, install fqterm.xpm
  * debian/control:
    - change maintainer's email
    - bump standards version to 3.8.1

 -- LI Daobing <lidaobing@debian.org>  Wed, 22 Apr 2009 19:15:26 +0800

fqterm (0.9.3+svn632-0ubuntu1) jaunty; urgency=low

  * Initial Ubuntu package (LP: #285825)  

 -- LI Daobing <lidaobing@gmail.com>  Sat, 14 Feb 2009 09:32:53 +0800
