## fqterm 0.9.6.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 set(FQTERM_VERSION "0.9.6")
 
 cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )
+
+if(COMMAND cmake_policy)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 set(CMAKE_MODULE_PATH
   ${CMAKE_SOURCE_DIR}/cmake
@@ -13,6 +17,9 @@
 ENDIF(NOT CMAKE_BUILD_TYPE)
 
 set(CMAKE_COLOR_MAKEFILE ON)
+
+include(${CMAKE_MODULE_PATH}/VersionControl.cmake)
+vcs_get_revision(MCGSVN_WC_REVISION)
 
 find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript REQUIRED)
 IF(APPLE)
@@ -64,13 +71,13 @@
     SET(SUB_CMAKELIST "CMakeLists.txt.macos")
   ELSE(APPLE)
     IF(UNIX)
-      IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      IF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
         SET(SUB_CMAKELIST "CMakeLists.txt.linux")
-      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
 		IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 		  SET(SUB_CMAKELIST "CMakeLists.txt.freebsd")
 		ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
     ENDIF(UNIX)
   ENDIF(APPLE)
 ENDIF(WIN32)
