=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,6 @@
 
 add_subdirectory(utilities)
 
+add_subdirectory(unite)
+
 add_subdirectory(fqterm)
