=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
   fqterm_exif_extractor.cpp
   fqterm_filedialog.h
   fqterm_filedialog.cpp
+  fqterm_shortcuthelper.h
+  fqterm_shortcuthelper.cpp
 )
 
 qt4_automoc(${fqterm_common_SRCS})
@@ -25,6 +27,7 @@
 include_directories(
   ${QT_INCLUDE_DIR}
   ${QT_QTCORE_INCLUDE_DIR}
+  ${QT_QTGUI_INCLUDE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
 )
