=== debian/changelog ===
fqterm (0.9.6.10-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667169.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:33:18 +0200

fqterm (0.9.6.10-1) unstable; urgency=low

  * new upstream release. (closes: #643710)

 -- LI Daobing <lidaobing@debian.org>  Sat, 01 Oct 2011 15:46:55 +0800

fqterm (0.9.6.9-1) unstable; urgency=low

  * new upstream release. (closes: #558722, #643379)
  * debian/control:
    - update description (closes: #602603)
    - team maintain.
    - bump standards version to 3.8.4.
    - build depends on libx11-dev. 

 -- LI Daobing <lidaobing@debian.org>  Thu, 29 Sep 2011 00:19:40 +0800
