=== debian/rules ===
#!/usr/bin/make -f

DEB_CLEAN_EXCLUDE = res/userconf/address.cfg.orig res/userconf/fqterm.cfg.orig res/userconf/language.cfg.orig
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

install/fqterm::
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.sh
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.desktop.in
