=== debian/watch ===
version=3
http://code.google.com/p/fqterm/downloads/list \
http://fqterm.googlecode.com/files/fqterm-([\d.]+)\.tar\.gz
