=== debian/changelog ===
fqterm (0.9.8.4-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:20 +0000

fqterm (0.9.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream changelog.
  * Refresh manpages; add Simplified Chinese manpage.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 18 Dec 2016 23:29:14 +0800

fqterm (0.9.8.3.r4+git20161029-1) unstable; urgency=medium

  * New upstream snapshot.
    - Various buildsystem cleanup.
    - Add new function: raw packet capture.
    - Fix FTBFS with OpenSSL 1.1.0. (Closes: #828302)
  * Bump debhelper compat to v10.
  * Fix Vcs-Git typo.
  * Switch buildsystem: cdbs -> debhelper v10.
  * Switch to build against Qt5.
  * Add new upstream docs.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 29 Oct 2016 16:13:00 +0800

fqterm (0.9.8.3.r4-1) unstable; urgency=medium

  * Team upload.
  * Add myself into uploaders list.
  * New upstream release.
    - Fix build failure with GCC 6. (Closes: #811872)
  * Remove LI Daobing from uploader list.
    Thanks for all your contribution! (Closes: #841806)
  * Bump Standards-Version to 3.9.8, no change needed.
  * d/control: Move project homepage from Google Code to GitHub.
  * d/control: Fix debian/watch file url.
  * d/control: Make Vcs field canonical.
  * d/copyright: Update information and grammar fix.
  * debian: Remove legacy menu file.
  * debian: Apply `wrap-and-sort -abst'.
  * d/patches: Drop outdated gcc-4.7 related patch.
  * d/compat: 5 -> 9

 -- Boyuan Yang <073plan@gmail.com>  Wed, 26 Oct 2016 00:49:00 +0800
