=== debian/watch ===
version=4

opts="" https://github.com/mytbk/fqterm/tags (?:.*?/)?v?(\d[\d.]*\.?r?[\d]*)\.tar\.gz debian uupdate
