## fqterm 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(fqterm)
 
-set(FQTERM_VERSION "0.9.8.4")
+set(FQTERM_VERSION "0.9.9")
 set(CMAKE_VERBOSE_MAKEFILE ON)
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
 
@@ -91,7 +91,6 @@
   fqterm_protocol
   fqterm_utilities
   fqterm_ui
-  fqterm_unite
   fqterm_imageviewer
   fqterm_common
   )
