=== src/protocol/CMakeLists.txt ===
--- 
+++ 
@@ -13,38 +13,34 @@
 )
 
 set(internal_SRCS
+  internal/buffer.c
+  internal/ssh_rsa.c
   internal/ssh_crypto_common.h
   internal/ssh_crypto_common.c
   internal/ssh_cipher.h
   internal/all_ciphers.c
   internal/ssh_evp_cipher.c
   internal/ssh_3des-ssh1.c
+  internal/ssh_mac.h
+  internal/ssh_mac.c
   internal/ssh_pubkey_crypto.h
   internal/ssh_pubkey_crypto.c
   internal/ssh_diffie-hellman.h
   internal/ssh_diffie-hellman.c
-  internal/crc32.h
-  internal/fqterm_serialization.h
+  internal/crc32.c
+  internal/ssh_packet.c
   internal/fqterm_ssh_auth.h
-  internal/fqterm_ssh_buffer.h
   internal/fqterm_ssh_const.h
-  internal/fqterm_ssh_hash.h
   internal/fqterm_ssh_kex.h
   internal/fqterm_ssh2_kex.h
-  internal/fqterm_ssh_mac.h
-  internal/fqterm_ssh_md5.h
   internal/fqterm_ssh_packet.h
   internal/fqterm_ssh1_packet.h
   internal/fqterm_ssh2_packet.h
   internal/fqterm_ssh_channel.h
   internal/fqterm_ssh_types.h
-  internal/crc32.cpp
   internal/fqterm_ssh_auth.cpp
-  internal/fqterm_ssh_buffer.cpp
   internal/fqterm_ssh_kex.cpp
   internal/fqterm_ssh2_kex.cpp
-  internal/fqterm_ssh_mac.cpp
-  internal/fqterm_ssh_md5.cpp
   internal/fqterm_ssh_packet.cpp
   internal/fqterm_ssh1_packet.cpp
   internal/fqterm_ssh2_packet.cpp
