=== debian/changelog ===
fqterm (0.9.9-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:27 +0100

fqterm (0.9.9-2) unstable; urgency=medium

  * Apply fixes to debian/copyright file from "cme fix dpkg".
  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Aug 2018 13:30:35 -0400

fqterm (0.9.9-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Revert maintainer address to chinese-developers@lists.a.d.o.
  * d/patches: Backport upstream trunk commit till 2018-06-08.
    - Fix FTBFS with prospective Qt 5.11.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 14 Jun 2018 19:54:09 +0800

fqterm (0.9.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix previous typo in Vcs field.
  * d/docs: Update doc list.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 12 May 2018 16:47:15 +0800

fqterm (0.9.8.5-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to v11.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh_missing --fail-missing".
  * d/control: Use Salsa repo in Vcs fields.
  * d/changelog: Remove trailing spaces.
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 23:15:58 +0800
