=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 libglib2.0-dev,
 libssl-dev,
 libx11-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtmultimedia5-dev,
 qtscript5-dev,
Standards-Version: 4.2.1
Homepage: https://github.com/mytbk/fqterm
Vcs-Browser: https://salsa.debian.org/chinese-team/fqterm
Vcs-Git: https://salsa.debian.org/chinese-team/fqterm.git

Package: fqterm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: BBS client written in Qt
 FQTerm is one of the most widely used BBS client in China, it
 supports Telnet/SSH1/SSH2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.
