=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs
 	dh_installchangelogs --keep CHANGELOG.rst
+
+override_dh_missing:
+	dh_missing --fail-missing
